Bug 198234 - ldd -r reports undefined symbols
ldd -r reports undefined symbols
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pilot-link (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
:
Depends On:
Blocks: ldd-r-kh
  Show dependency treegraph
 
Reported: 2006-07-10 11:18 EDT by Karsten Hopp
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: pilot-link-0.12.1-4.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-04 09:07:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2006-07-10 11:18:04 EDT
Note: ldd can't handle dlopen'ed dependent libraries and these unresolved symbols
might be resolved by those. But this needs to be checked.
Reproducer: rpm -ql <packagename>| grep lib.*so | xargs ldd -r


pilot-link-devel-0.11.8-15
undefined symbol: dlp_ReadNextModifiedRec       (/usr/lib/libpisync.so)
undefined symbol: dlp_CleanUpDatabase   (/usr/lib/libpisync.so)
undefined symbol: dlp_CloseDB   (/usr/lib/libpisync.so)
undefined symbol: dlp_ReadRecordById    (/usr/lib/libpisync.so)
undefined symbol: dlp_ReadRecordByIndex (/usr/lib/libpisync.so)
undefined symbol: dlp_ResetSyncFlags    (/usr/lib/libpisync.so)
undefined symbol: dlp_OpenDB    (/usr/lib/libpisync.so)
undefined symbol: dlp_DeleteRecord      (/usr/lib/libpisync.so)
undefined symbol: dlp_WriteRecord       (/usr/lib/libpisync.so)

Note You need to log in before you can comment on or make changes to this bug.